<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib">
    <!--  requires param
        - patient (net.ihe.gazelle.simulator.pam.model.Patient) -->
    <dl class="dl-horizontal">
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.Email']}</ui:define>
            <h:outputText value="#{patient.email}"/>
        </ui:decorate>
        <a4j:repeat value="#{patient.phoneNumbers}" var="pn">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{pn.type.label}</ui:define>
                <h:outputText value="#{pn.value}"/>
                <s:span styleClass="fa fa-star" rendered="#{pn.principal}" title="Principal phone number"/>
            </ui:decorate>
        </a4j:repeat>

        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.patientmanager.AccountNumber']}</ui:define>
            <h:outputText value="#{patient.accountNumber}"/>
        </ui:decorate>
        <!-- this field was initialy used in the context of KSA -->
        <ui:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{false}">
            <ui:define name="label">#{messages['gazelle.pam.BloodGroup_2']}</ui:define>
            <h:outputText value="#{patient.getBloodGroupDisplayname()}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.VIPIndicator']}</ui:define>
            <h:outputText
                    value="#{valueSet.getDisplayNameForCode('HL70099', patient.vipIndicator)}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.PAMSimulator.BirthPlaceName']}</ui:define>
            <h:outputText
                    value="#{patient.birthPlaceName}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.UUID']}</ui:define>
            <h:outputText
                    value="#{patient.uuid}"/>
        </ui:decorate>
    </dl>
</ui:composition>
